
QGIS Application - Bug report #16937

Error saving graduated style in databases

2017-07-27 02:43 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24836

Description

Seems to work fine for categorized and rule based. See attached image for error dialog. Here following the log message:

2017-07-27T13:41:11    1    Error executing query: INSERT INTO

layer_styles(f_table_catalog,f_table_schema,f_table_name,f_geometry_column,styleName,styleQML,styleSLD,useAsDefault,description,owner%11) VALUES ('/home/giovanni/Desktop/teste.sqlite

cription,owner%11) VALUES ('/home/giovanni/Desktop/teste.sqlite','','aaa','geometry','bgbgbgb','<!DOCTYPE qgis PUBLIC

''http://mrcc.com/qgis.dtd'' ''SYSTEM''>

            <qgis version="2.18.11" simplifyAlgorithm="0" minimumScale="0" maximumScale="1e+08" simplifyDrawingHints="1"

minLabelScale="0" maxLabelScale="1e+08" simplifyDrawingTol="1" readOnly="0" simplifyMaxScale="1"

hasScaleBasedVisibilityFlag="0" simplifyLocal="1" scaleBasedLabelVisibilityFlag="0">

             <edittypes>

              <edittype widgetv2type="TextEdit" name="pkuid">

               <widgetv2config IsMultiline="0" fieldEditable="1" constraint="" UseHtml="0" labelOnTop="0" constraintDescription=""

notNull="0"/>

              </edittype>

             </edittypes>

             <renderer-v2 attr="pkuid" forceraster="0" symbollevels="0" type="graduatedSymbol" graduatedMethod="GraduatedColor"

enableorderby="0">

              <ranges>

               <range render="true" symbol="0" lower="1.000000000000000" upper="1.000000000000000" label=" 1.00 - 1.00 "/>

               <range render="true" symbol="1" lower="1.000000000000000" upper="2.000000000000000" label=" 1.00 - 2.00 "/>

               <range render="true" symbol="2" lower="2.000000000000000" upper="3.000000000000000" label=" 2.00 - 3.00 "/>

               <range render="true" symbol="3" lower="3.000000000000000" upper="4.000000000000000" label=" 3.00 - 4.00 "/>

              </ranges>

              <symbols>

               <symbol alpha="1" clip_to_extent="1" type="fill" name="0">

                <layer pass="0" class="SimpleFill" locked="0">

                 <prop k="border_width_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="color" v="247,251,255,255"/>

                 <prop k="joinstyle" v="bevel"/>

                 <prop k="offset" v="0,0"/>

                 <prop k="offset_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="offset_unit" v="MM"/>

                 <prop k="outline_color" v="0,0,0,255"/>

                 <prop k="outline_style" v="solid"/>

                 <prop k="outline_width" v="0.26"/>

                 <prop k="outline_width_unit" v="MM"/>

                 <prop k="style" v="solid"/>

                </layer>

               </symbol>
               <symbol alpha="1" clip_to_extent="1" type="fill" name="1">

                <layer pass="0" class="SimpleFill" locked="0">

                 <prop k="border_width_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="color" v="176,210,232,255"/>

                 <prop k="joinstyle" v="bevel"/>

                 <prop k="offset" v="0,0"/>

                 <prop k="offset_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="offset_unit" v="MM"/>

                 <prop k="outline_color" v="0,0,0,255"/>

                 <prop k="outline_style" v="solid"/>

                 <prop k="outline_width" v="0.26"/>

                 <prop k="outline_width_unit" v="MM"/>

                 <prop k="style" v="solid"/>

                </layer>

               </symbol>

               <symbol alpha="1" clip_to_extent="1" type="fill" name="2">

                <layer pass="0" class="SimpleFill" locked="0">

                 <prop k="border_width_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="color" v="62,142,196,255"/>

                 <prop k="joinstyle" v="bevel"/>

                 <prop k="offset" v="0,0"/>

                 <prop k="offset_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="offset_unit" v="MM"/>

                 <prop k="outline_color" v="0,0,0,255"/>

                 <prop k="outline_style" v="solid"/>

                 <prop k="outline_width" v="0.26"/>

                 <prop k="outline_width_unit" v="MM"/>

                 <prop k="style" v="solid"/>

                </layer>

               </symbol>

               <symbol alpha="1" clip_to_extent="1" type="fill" name="3">

                <layer pass="0" class="SimpleFill" locked="0">

                 <prop k="border_width_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="color" v="8,48,107,255"/>

                 <prop k="joinstyle" v="bevel"/>

                 <prop k="offset" v="0,0"/>

                 <prop k="offset_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="offset_unit" v="MM"/>

                 <prop k="outline_color" v="0,0,0,255"/>

                 <prop k="outline_style" v="solid"/>

                 <prop k="outline_width" v="0.26"/>

                 <prop k="outline_width_unit" v="MM"/>

                 <prop k="style" v="solid"/>

                </layer>

               </symbol>

              </symbols>

              <source-symbol>

               <symbol alpha="1" clip_to_extent="1" type="fill" name="0">

                <layer pass="0" class="SimpleFill" locked="0">

                 <prop k="border_width_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="color" v="202,0,32,255"/>

                 <prop k="joinstyle" v="bevel"/>

                 <prop k="offset" v="0,0"/>

2025-04-27 2/11



                 <prop k="offset_map_unit_scale" v="0,0,0,0,0,0"/>

                 <prop k="offset_unit" v="MM"/>

                 <prop k="outline_color" v="0,0,0,255"/>

                 <prop k="outline_style" v="solid"/>

                 <prop k="outline_width" v="0.26"/>

                 <prop k="outline_width_unit" v="MM"/>

                 <prop k="style" v="solid"/>

                </layer>

               </symbol>

              </source-symbol>

              <colorramp type="gradient" name="[source]">

               <prop k="color1" v="247,251,255,255"/>

               <prop k="color2" v="8,48,107,255"/>

               <prop k="discrete" v="0"/>

               <prop k="stops"

v="0.13;222,235,247,255:0.26;198,219,239,255:0.39;158,202,225,255:0.52;107,174,214,255:0.65;66,146,198,255:0.78;33,113,181,255:0.9;8,81,156,255"/>
              </colorramp>
              <invertedcolorramp value="0"/>
              <mode name="jenks"/>
              <rotation/>
              <sizescale scalemethod="diameter"/>
              <labelformat format=" '<?xml version="1.0" encoding="UTF-8"?>
            <StyledLayerDescriptor xmlns="http://www.opengis.net/sld" xmlns:ogc="http://www.opengis.net/ogc" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.opengis.net/sld http://schemas.opengis.net/sld/1.1.0/StyledLayerDescriptor.xsd" xmlns:se="http://www.opengis.net/se">
             <NamedLayer>
              <se:Name>aaa</se:Name>
              <UserStyle>
               <se:Name>aaa</se:Name>
               <se:FeatureTypeStyle>
                <se:Rule>
                 <se:Name> 1.00 - 1.00 </se:Name>
                 <se:Description>
                  <se:Title> 1.00 - 1.00 </se:Title>
                 </se:Description>
                 <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">
                  <ogc:And>
                   <ogc:PropertyIsGreaterThanOrEqualTo>
                    <ogc:PropertyName>pkuid</ogc:PropertyName>
                    <ogc:Literal>1</ogc:Literal>
                   </ogc:PropertyIsGreaterThanOrEqualTo>
                   <ogc:PropertyIsLessThanOrEqualTo>
                    <ogc:PropertyName>pkuid</ogc:PropertyName>
                    <ogc:Literal>1</ogc:Literal>
                   </ogc:PropertyIsLessThanOrEqualTo>
                  </ogc:And>
                 </ogc:Filter>
                 <se:PolygonSymbolizer>
                  <se:Fill>
                   <se:SvgParameter name="fill">#f7fbff</se:SvgParameter>
                  </se:Fill>
                  <se:Stroke>
                   <se:SvgParameter name="stroke">#000001</se:SvgParameter>
                   <se:SvgParameter name="stroke-width">1</se:SvgParameter>
                   <se:SvgParameter name="stroke-linejoin">bevel</se:SvgParameter>
                  </se:Stroke>
                 </se:PolygonSymbolizer>
                </se:Rule>
                <se:Rule>
                 <se:Name> 1.00 - 2.00 </se:Name>
                 <se:Description>
                  <se:Title> 1.00 - 2.00 </se:Title>
                 </se:Description>
                 <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">
                  <ogc:And>
                   <ogc:PropertyIsGreaterThan>
                    <ogc:PropertyName>pkuid</ogc:PropertyName>
                    <ogc:Literal>1</ogc:Literal>
                   </ogc:PropertyIsGreaterThan>
                   <ogc:PropertyIsLessThanOrEqualTo>
                    <ogc:PropertyName>pkuid</ogc:PropertyName>
                    <ogc:Literal>2</ogc:Literal>
                   </ogc:PropertyIsLessThanOrEqualTo>
                  </ogc:And>
                 </ogc:Filter>
                 <se:PolygonSymbolizer>
                  <se:Fill>
                   <se:SvgParameter name="fill">#b0d2e8</se:SvgParameter>
                  </se:Fill>
                  <se:Stroke>
                   <se:SvgParameter name="stroke">#000001</se:SvgParameter>
                   <se:SvgParameter name="stroke-width">1</se:SvgParameter>
                   <se:SvgParameter name="stroke-linejoin">bevel</se:SvgParameter>
                  </se:Stroke>
                 </se:PolygonSymbolizer>
                </se:Rule>
                <se:Rule>
                 <se:Name> 2.00 - 3.00 </se:Name>
                 <se:Description>
                  <se:Title> 2.00 - 3.00 </se:Title>
                 </se:Description>
                 <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">
                  <ogc:And>
                   <ogc:PropertyIsGreaterThan>
                    <ogc:PropertyName>pkuid</ogc:PropertyName>
                    <ogc:Literal>2</ogc:Literal>
                   </ogc:PropertyIsGreaterThan>
                   <ogc:PropertyIsLessThanOrEqualTo>
                    <ogc:PropertyName>pkuid</ogc:PropertyName>
                    <ogc:Literal>3</ogc:Literal>
                   </ogc:PropertyIsLessThanOrEqualTo>
                  </ogc:And>
                 </ogc:Filter>
                 <se:PolygonSymbolizer>
                  <se:Fill>
                   <se:SvgParameter name="fill">#3e8ec4</se:SvgParameter>
                  </se:Fill>
                  <se:Stroke>
                   <se:SvgParameter name="stroke">#000001</se:SvgParameter>
                   <se:SvgParameter name="stroke-width">1</se:SvgParameter>
                   <se:SvgParameter name="stroke-linejoin">bevel</se:SvgParameter>
                  </se:Stroke>
                 </se:PolygonSymbolizer>
                </se:Rule>
                <se:Rule>
                 <se:Name> 3.00 - 4.00 </se:Name>
                 <se:Description>
                  <se:Title> 3.00 - 4.00 </se:Title>
                 </se:Description>
                 <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">
                  <ogc:And>
                   <ogc:PropertyIsGreaterThan>
                    <ogc:PropertyName>pkuid</ogc:PropertyName>
                    <ogc:Literal>3</ogc:Literal>
                   </ogc:PropertyIsGreaterThan>
                   <ogc:PropertyIsLessThanOrEqualTo>
                    <ogc:PropertyName>pkuid</ogc:PropertyName>
                    <ogc:Literal>4</ogc:Literal>
                   </ogc:PropertyIsLessThanOrEqualTo>
                  </ogc:And>
                 </ogc:Filter>
                 <se:PolygonSymbolizer>
                  <se:Fill>
                   <se:SvgParameter name="fill">#08306b</se:SvgParameter>
                  </se:Fill>
                  <se:Stroke>
                   <se:SvgParameter name="stroke">#000001</se:SvgParameter>
                   <se:SvgParame

181,255:0.9;8,81,156,255"/>

              </colorramp>

              <invertedcolorramp value="0"/>

              <mode name="jenks"/>

              <rotation/>

              <sizescale scalemethod="diameter"/>

              <labelformat format=" '<?xml version="1.0" encoding="UTF-8"?>

            <StyledLayerDescriptor xmlns="http://www.opengis.net/sld" xmlns:ogc="http://www.opengis.net/ogc"

xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.1.0" xmlns:xlink="http://www.w3.org/1999/xlink"

xsi:schemaLocation="http://www.opengis.net/sld http://schemas.opengis.net/sld/1.1.0/StyledLayerDescriptor.xsd"

xmlns:se="http://www.opengis.net/se">

             <NamedLayer>

              <se:Name>aaa</se:Name>

              <UserStyle>

               <se:Name>aaa</se:Name>

               <se:FeatureTypeStyle>

                <se:Rule>

                 <se:Name> 1.00 - 1.00 </se:Name>

                 <se:Description>

                  <se:Title> 1.00 - 1.00 </se:Title>

                 </se:Description>

                 <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

                  <ogc:And>

                   <ogc:PropertyIsGreaterThanOrEqualTo>

                    <ogc:PropertyName>pkuid</ogc:PropertyName>

                    <ogc:Literal>1</ogc:Literal>

                   </ogc:PropertyIsGreaterThanOrEqualTo>

                   <ogc:PropertyIsLessThanOrEqualTo>

                    <ogc:PropertyName>pkuid</ogc:PropertyName>

                    <ogc:Literal>1</ogc:Literal>

                   </ogc:PropertyIsLessThanOrEqualTo>

                  </ogc:And>

                 </ogc:Filter>

                 <se:PolygonSymbolizer>

                  <se:Fill>

                   <se:SvgParameter name="fill">#f7fbff</se:SvgParameter>

                  </se:Fill>
                  <se:Stroke>

                   <se:SvgParameter name="stroke">#000001</se:SvgParameter>

                   <se:SvgParameter name="stroke-width">1</se:SvgParameter>

                   <se:SvgParameter name="stroke-linejoin">bevel</se:SvgParameter>

                  </se:Stroke>

                 </se:PolygonSymbolizer>

                </se:Rule>

                <se:Rule>

                 <se:Name> 1.00 - 2.00 </se:Name>

                 <se:Description>

                  <se:Title> 1.00 - 2.00 </se:Title>

                 </se:Description>

                 <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

                  <ogc:And>

                   <ogc:PropertyIsGreaterThan>

                    <ogc:PropertyName>pkuid</ogc:PropertyName>

                    <ogc:Literal>1</ogc:Literal>

                   </ogc:PropertyIsGreaterThan>

                   <ogc:PropertyIsLessThanOrEqualTo>

                    <ogc:PropertyName>pkuid</ogc:PropertyName>

                    <ogc:Literal>2</ogc:Literal>

                   </ogc:PropertyIsLessThanOrEqualTo>

                  </ogc:And>

                 </ogc:Filter>

                 <se:PolygonSymbolizer>

                  <se:Fill>

                   <se:SvgParameter name="fill">#b0d2e8</se:SvgParameter>

                  </se:Fill>

                  <se:Stroke>

                   <se:SvgParameter name="stroke">#000001</se:SvgParameter>

                   <se:SvgParameter name="stroke-width">1</se:SvgParameter>

                   <se:SvgParameter name="stroke-linejoin">bevel</se:SvgParameter>

                  </se:Stroke>

                 </se:PolygonSymbolizer>

                </se:Rule>

                <se:Rule>

                 <se:Name> 2.00 - 3.00 </se:Name>

                 <se:Description>

                  <se:Title> 2.00 - 3.00 </se:Title>

                 </se:Description>

                 <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

                  <ogc:And>

                   <ogc:PropertyIsGreaterThan>

                    <ogc:PropertyName>pkuid</ogc:PropertyName>

                    <ogc:Literal>2</ogc:Literal>

                   </ogc:PropertyIsGreaterThan>

                   <ogc:PropertyIsLessThanOrEqualTo>

                    <ogc:PropertyName>pkuid</ogc:PropertyName>

                    <ogc:Literal>3</ogc:Literal>

                   </ogc:PropertyIsLessThanOrEqualTo>

                  </ogc:And>

                 </ogc:Filter>

                 <se:PolygonSymbolizer>
                  <se:Fill>

                   <se:SvgParameter name="fill">#3e8ec4</se:SvgParameter>

                  </se:Fill>

                  <se:Stroke>

                   <se:SvgParameter name="stroke">#000001</se:SvgParameter>

                   <se:SvgParameter name="stroke-width">1</se:SvgParameter>

                   <se:SvgParameter name="stroke-linejoin">bevel</se:SvgParameter>

                  </se:Stroke>

                 </se:PolygonSymbolizer>

                </se:Rule>

                <se:Rule>

                 <se:Name> 3.00 - 4.00 </se:Name>

                 <se:Description>

                  <se:Title> 3.00 - 4.00 </se:Title>

                 </se:Description>

                 <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

                  <ogc:And>

                   <ogc:PropertyIsGreaterThan>

                    <ogc:PropertyName>pkuid</ogc:PropertyName>

                    <ogc:Literal>3</ogc:Literal>

                   </ogc:PropertyIsGreaterThan>

                   <ogc:PropertyIsLessThanOrEqualTo>

                    <ogc:PropertyName>pkuid</ogc:PropertyName>

                    <ogc:Literal>4</ogc:Literal>

                   </ogc:PropertyIsLessThanOrEqualTo>

                  </ogc:And>

                 </ogc:Filter>

                 <se:PolygonSymbolizer>

                  <se:Fill>

                   <se:SvgParameter name="fill">#08306b</se:SvgParameter>

                  </se:Fill>

                  <se:Stroke>

                   <se:SvgParameter name="stroke">#000001</se:SvgParameter>

                   <se:SvgParameter name="stroke-width">1</se:SvgParameter>

                   <se:SvgParameter name="stroke-linejoin">bevel</se:SvgParameter>

                  </se:Stroke>

                 </se:PolygonSymbolizer>

                </se:Rule>

               </se:FeatureTypeStyle>

              </UserStyle>

             </NamedLayer>

            </StyledLayerDescriptor>

            ' - 0 " trimtrailingzeroes="false" decimalplaces="1"/>

             </renderer-v2>

             <labeling type="simple"/>

             <customproperties>

              <property key="embeddedWidgets/count" value="0"/>

              <property key="labeling" value="pal"/>

              <property key="labeling/addDirectionSymbol" value="false"/>

              <property key="labeling/angleOffset" value="0"/>

              <property key="labeling/blendMode" value="0"/>

              <property key="labeling/bufferBlendMode" value="0"/>

              <property key="labeling/bufferColorA" value="255"/>
              <property key="labeling/bufferColorB" value="255"/>

              <property key="labeling/bufferColorG" value="255"/>

              <property key="labeling/bufferColorR" value="255"/>

              <property key="labeling/bufferDraw" value="false"/>

              <property key="labeling/bufferJoinStyle" value="128"/>

              <property key="labeling/bufferNoFill" value="false"/>

              <property key="labeling/bufferSize" value="1"/>

              <property key="labeling/bufferSizeInMapUnits" value="false"/>

              <property key="labeling/bufferSizeMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/bufferTransp" value="0"/>

              <property key="labeling/centroidInside" value="false"/>

              <property key="labeling/centroidWhole" value="false"/>

              <property key="labeling/decimals" value="3"/>

              <property key="labeling/displayAll" value="false"/>

              <property key="labeling/dist" value="0"/>

              <property key="labeling/distInMapUnits" value="false"/>

              <property key="labeling/distMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/drawLabels" value="false"/>

              <property key="labeling/enabled" value="false"/>

              <property key="labeling/fieldName" value=""/>

              <property key="labeling/fitInPolygonOnly" value="false"/>

              <property key="labeling/fontCapitals" value="0"/>

              <property key="labeling/fontFamily" value="Noto Sans"/>

              <property key="labeling/fontItalic" value="true"/>

              <property key="labeling/fontLetterSpacing" value="0"/>

              <property key="labeling/fontLimitPixelSize" value="false"/>

              <property key="labeling/fontMaxPixelSize" value="10000"/>

              <property key="labeling/fontMinPixelSize" value="3"/>

              <property key="labeling/fontSize" value="10"/>

              <property key="labeling/fontSizeInMapUnits" value="false"/>

              <property key="labeling/fontSizeMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/fontStrikeout" value="false"/>

              <property key="labeling/fontUnderline" value="false"/>

              <property key="labeling/fontWeight" value="75"/>

              <property key="labeling/fontWordSpacing" value="0"/>

              <property key="labeling/formatNumbers" value="false"/>

              <property key="labeling/isExpression" value="true"/>

              <property key="labeling/labelOffsetInMapUnits" value="true"/>

              <property key="labeling/labelOffsetMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/labelPerPart" value="false"/>

              <property key="labeling/leftDirectionSymbol" value="&lt;"/>

              <property key="labeling/limitNumLabels" value="false"/>

              <property key="labeling/maxCurvedCharAngleIn" value="25"/>

              <property key="labeling/maxCurvedCharAngleOut" value="-25"/>

              <property key="labeling/maxNumLabels" value="2000"/>

              <property key="labeling/mergeLines" value="false"/>

              <property key="labeling/minFeatureSize" value="0"/>

              <property key="labeling/multilineAlign" value="4294967295"/>

              <property key="labeling/multilineHeight" value="1"/>

              <property key="labeling/namedStyle" value="Bold Italic"/>

              <property key="labeling/obstacle" value="true"/>

              <property key="labeling/obstacleFactor" value="1"/>

              <property key="labeling/obstacleType" value="0"/>
              <property key="labeling/offsetType" value="0"/>

              <property key="labeling/placeDirectionSymbol" value="0"/>

              <property key="labeling/placement" value="1"/>

              <property key="labeling/placementFlags" value="10"/>

              <property key="labeling/plussign" value="false"/>

              <property key="labeling/predefinedPositionOrder" value="TR,TL,BR,BL,R,L,TSR,BSR"/>

              <property key="labeling/preserveRotation" value="true"/>

              <property key="labeling/previewBkgrdColor" value="#ffffff"/>

              <property key="labeling/priority" value="5"/>

              <property key="labeling/quadOffset" value="4"/>

              <property key="labeling/repeatDistance" value="0"/>

              <property key="labeling/repeatDistanceMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/repeatDistanceUnit" value="1"/>

              <property key="labeling/reverseDirectionSymbol" value="false"/>

              <property key="labeling/rightDirectionSymbol" value=">"/>

              <property key="labeling/scaleMax" value="10000000"/>

              <property key="labeling/scaleMin" value="1"/>

              <property key="labeling/scaleVisibility" value="false"/>

              <property key="labeling/shadowBlendMode" value="6"/>

              <property key="labeling/shadowColorB" value="0"/>

              <property key="labeling/shadowColorG" value="0"/>

              <property key="labeling/shadowColorR" value="0"/>

              <property key="labeling/shadowDraw" value="false"/>

              <property key="labeling/shadowOffsetAngle" value="135"/>

              <property key="labeling/shadowOffsetDist" value="1"/>

              <property key="labeling/shadowOffsetGlobal" value="true"/>

              <property key="labeling/shadowOffsetMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/shadowOffsetUnits" value="1"/>

              <property key="labeling/shadowRadius" value="1.5"/>

              <property key="labeling/shadowRadiusAlphaOnly" value="false"/>

              <property key="labeling/shadowRadiusMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/shadowRadiusUnits" value="1"/>

              <property key="labeling/shadowScale" value="100"/>

              <property key="labeling/shadowTransparency" value="30"/>

              <property key="labeling/shadowUnder" value="0"/>

              <property key="labeling/shapeBlendMode" value="0"/>

              <property key="labeling/shapeBorderColorA" value="255"/>

              <property key="labeling/shapeBorderColorB" value="128"/>

              <property key="labeling/shapeBorderColorG" value="128"/>

              <property key="labeling/shapeBorderColorR" value="128"/>

              <property key="labeling/shapeBorderWidth" value="0"/>

              <property key="labeling/shapeBorderWidthMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/shapeBorderWidthUnits" value="1"/>

              <property key="labeling/shapeDraw" value="false"/>

              <property key="labeling/shapeFillColorA" value="255"/>

              <property key="labeling/shapeFillColorB" value="255"/>

              <property key="labeling/shapeFillColorG" value="255"/>

              <property key="labeling/shapeFillColorR" value="255"/>

              <property key="labeling/shapeJoinStyle" value="64"/>

              <property key="labeling/shapeOffsetMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/shapeOffsetUnits" value="1"/>

              <property key="labeling/shapeOffsetX" value="0"/>

              <property key="labeling/shapeOffsetY" value="0"/>
              <property key="labeling/shapeRadiiMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/shapeRadiiUnits" value="1"/>

              <property key="labeling/shapeRadiiX" value="0"/>

              <property key="labeling/shapeRadiiY" value="0"/>

              <property key="labeling/shapeRotation" value="0"/>

              <property key="labeling/shapeRotationType" value="0"/>

              <property key="labeling/shapeSVGFile" value=""/>

              <property key="labeling/shapeSizeMapUnitScale" value="0,0,0,0,0,0"/>

              <property key="labeling/shapeSizeType" value="0"/>

              <property key="labeling/shapeSizeUnits" value="1"/>

              <property key="labeling/shapeSizeX" value="0"/>

              <property key="labeling/shapeSizeY" value="0"/>

              <property key="labeling/shapeTransparency" value="0"/>

              <property key="labeling/shapeType" value="0"/>

              <property key="labeling/substitutions" value="&lt;substitutions/>"/>

              <property key="labeling/textColorA" value="255"/>

              <property key="labeling/textColorB" value="0"/>

              <property key="labeling/textColorG" value="0"/>

              <property key="labeling/textColorR" value="0"/>

              <property key="labeling/textTransp" value="0"/>

              <property key="labeling/upsidedownLabels" value="0"/>

              <property key="labeling/useSubstitutions" value="false"/>

              <property key="labeling/wrapChar" value=""/>

              <property key="labeling/xOffset" value="0"/>

              <property key="labeling/yOffset" value="0"/>

              <property key="labeling/zIndex" value="0"/>

              <property key="variableNames"/>

              <property key="variableValues"/>

             </customproperties>

             <blendMode>0</blendMode>

             <featureBlendMode>0</featureBlendMode>

             <layerTransparency>0</layerTransparency>

             <displayfield>pkuid</displayfield>

             <label>0</label>

             <labelattributes>

              <label fieldname="" text="Label"/>

              <family fieldname="" name="Noto Sans"/>

              <size fieldname="" units="pt" value="12"/>

              <bold fieldname="" on="0"/>

              <italic fieldname="" on="0"/>

              <underline fieldname="" on="0"/>

              <strikeout fieldname="" on="0"/>

              <color fieldname="" red="0" blue="0" green="0"/>

              <x fieldname=""/>

              <y fieldname=""/>

              <offset x="0" y="0" units="pt" yfieldname="" xfieldname=""/>

              <angle fieldname="" value="0" auto="0"/>

              <alignment fieldname="" value="center"/>

              <buffercolor fieldname="" red="255" blue="255" green="255"/>

              <buffersize fieldname="" units="pt" value="1"/>

              <bufferenabled fieldname="" on=""/>

              <multilineenabled fieldname="" on=""/>

              <selectedonly on=""/>
             </labelattributes>

             <SingleCategoryDiagramRenderer diagramType="Histogram" sizeLegend="0" attributeLegend="1">

              <DiagramCategory penColor="#000000" labelPlacementMethod="XHeight" penWidth="0" diagramOrientation="Up"

sizeScale="0,0,0,0,0,0" minimumSize="0" barWidth="5" penAlpha="255" maxScaleDenominator="1e+08"

backgroundColor="#ffffff" transparency="0" width="15" scaleDependency="Area" backgroundAlpha="255" angleOffset="1440"

scaleBasedVisibility="0" enabled="0" height="15" lineSizeScale="0,0,0,0,0,0" sizeType="MM" lineSizeType="MM"

minScaleDenominator="inf">

               <fontProperties description="Noto Sans,10,-1,5,50,0,0,0,0,0" style=""/>

               <attribute field="" color="#000000" label=""/>

              </DiagramCategory>

              <symbol alpha="1" clip_to_extent="1" type="marker" name="sizeSymbol">

               <layer pass="0" class="SimpleMarker" locked="0">

                <prop k="angle" v="0"/>

                <prop k="color" v="255,0,0,255"/>

                <prop k="horizontal_anchor_point" v="1"/>

                <prop k="joinstyle" v="bevel"/>

                <prop k="name" v="circle"/>

                <prop k="offset" v="0,0"/>

                <prop k="offset_map_unit_scale" v="0,0,0,0,0,0"/>

                <prop k="offset_unit" v="MM"/>

                <prop k="outline_color" v="0,0,0,255"/>

                <prop k="outline_style" v="solid"/>

                <prop k="outline_width" v="0"/>

                <prop k="outline_width_map_unit_scale" v="0,0,0,0,0,0"/>

                <prop k="outline_width_unit" v="MM"/>

                <prop k="scale_method" v="diameter"/>

                <prop k="size" v="2"/>

                <prop k="size_map_unit_scale" v="0,0,0,0,0,0"/>

                <prop k="size_unit" v="MM"/>

                <prop k="vertical_anchor_point" v="1"/>

               </layer>

              </symbol>

             </SingleCategoryDiagramRenderer>

             <DiagramLayerSettings yPosColumn="-1" showColumn="-1" linePlacementFlags="10" placement="0" dist="0"

xPosColumn="-1" priority="0" obstacle="0" zIndex="0" showAll="1"/>

             <annotationform></annotationform>

             <aliases>

              <alias field="pkuid" index="0" name=""/>

             </aliases>

             <excludeAttributesWMS/>

             <excludeAttributesWFS/>

             <attributeactions default="-1"/>

             <attributetableconfig actionWidgetStyle="dropDown" sortExpression="" sortOrder="0">

              <columns>

               <column width="-1" hidden="0" type="field" name="pkuid"/>

               <column width="-1" hidden="1" type="actions"/>

              </columns>

             </attributetableconfig>

             <editform></editform>

             <editforminit/>

             <editforminitcodesource>0</editforminitcodesource>

             <editforminitfilepath></editforminitfilepath>

             <editforminitcode><![CDATA[# -*- coding: utf-8 -*-
            """ 

            QGIS forms can have a Python function that is called when the form is

            opened.

            Use this function to add extra logic to your forms.

            Enter the name of the function in the "Python Init function" 

            field.

            An example follows:

            """ 

            from qgis.PyQt.QtWidgets import QWidget

            def my_form_open(dialog, layer, feature):

                geom = feature.geometry()

                control = dialog.findChild(QWidget, "MyLineEdit")

            ]]></editforminitcode>

             <featformsuppress>0</featformsuppress>

             <editorlayout>generatedlayout</editorlayout>

             <widgets/>

             <conditionalstyles>

              <rowstyles/>

              <fieldstyles/>

             </conditionalstyles>

             <defaults>

              <default field="pkuid" expression=""/>

             </defaults>

             <previewExpression></previewExpression>

             <layerGeometryType>2</layerGeometryType>

            </qgis>

            ','qui Jul 27 13:41:11 2017',NULL,,%12)

Related issues:

Duplicated by QGIS Application - Bug report # 17182: Save Graduated Style to ... Closed 2017-09-22

History

#1 - 2017-09-22 09:59 AM - Giovanni Manghi

- Subject changed from Error saving graduated style in Spatialite databases to Error saving graduated style in databases

- Affected QGIS version changed from 2.18.11 to 2.18.13

Affects other backends too, see #17182

#2 - 2017-09-28 09:30 AM - Jürgen Fischer

- Duplicated by Bug report #17182: Save Graduated Style to MSSQL Database Fails added

#3 - 2017-09-28 09:33 AM - Jürgen Fischer

- Description updated

#4 - 2019-02-23 01:53 PM - matteo ghetta

- Status changed from Open to Feedback
Works fine in 3.4 with some custom data.

#5 - 2019-02-23 10:43 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

2025-04-27 11/11


